"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const browserPaths = __importStar(require("@secret-agent/puppet/lib/browserPaths"));
const chromePageOverrides_1 = __importDefault(require("./lib/chromePageOverrides"));
exports.chromePageOverrides = chromePageOverrides_1.default;
const modifyHeaders_1 = __importDefault(require("./lib/modifyHeaders"));
exports.modifyHeaders = modifyHeaders_1.default;
const readPolyfills_1 = __importDefault(require("./lib/readPolyfills"));
exports.readPolyfills = readPolyfills_1.default;
const tcpVars_1 = __importDefault(require("./lib/tcpVars"));
exports.tcpVars = tcpVars_1.default;
const parseNavigatorPlugins_1 = __importDefault(require("./lib/parseNavigatorPlugins"));
exports.parseNavigatorPlugins = parseNavigatorPlugins_1.default;
function getEngineExecutablePath(engine) {
    return browserPaths.getExecutablePath(engine.browser, engine.revision);
}
exports.getEngineExecutablePath = getEngineExecutablePath;
//# sourceMappingURL=index.js.map