"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const EngineInstaller_1 = __importDefault(require("@secret-agent/puppet/lib/EngineInstaller"));
function install(engine) {
    new EngineInstaller_1.default(engine)
        .install()
        .then(() => {
        process.exit();
        return null;
    })
        .catch(error => {
        console.log('ERROR installing engine', error);
        process.exit(1);
    });
}
exports.default = install;
//# sourceMappingURL=install.js.map