import IUserAgent from '@secret-agent/emulators/interfaces/IUserAgent';
import OriginType from '@secret-agent/commons/interfaces/OriginType';
import { IResourceToModify } from '@secret-agent/commons/interfaces/IHttpRequestModifierDelegate';
import IResourceHeaders from '@secret-agent/core-interfaces/IResourceHeaders';
export default function modifyHeaders(userAgent: IUserAgent, headerProfiles: IResourceHeaderDefaults, resource: IResourceToModify): IResourceHeaders;
interface IResourceHeaderDefaults {
    [resourceType: string]: {
        originTypes: OriginType[];
        method: string;
        secureDomain: boolean;
        order: string[];
        defaults: {
            [header: string]: string[];
        };
    }[];
}
export {};
